/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
/// <reference types="@docusaurus/module-type-aliases" />
import type { BaseUrlOptions, BaseUrlUtils } from '@docusaurus/useBaseUrl';
import type { RouterType } from '@docusaurus/types';
export declare function addBaseUrl({ siteUrl, baseUrl, url, options: { forcePrependBaseUrl, absolute }, router, }: {
    siteUrl: string;
    baseUrl: string;
    url: string;
    router: RouterType;
    options?: BaseUrlOptions;
}): string;
export declare function useBaseUrlUtils(): BaseUrlUtils;
export default function useBaseUrl(url: string, options?: BaseUrlOptions): string;
