/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import type { Props, LoadedPlugin, RouterType } from '@docusaurus/types';
/**
 * Runs the `injectHtmlTags` lifecycle, and aggregates all plugins' tags into
 * directly render-able HTML markup.
 */
export declare function loadHtmlTags({ plugins, router, }: {
    plugins: LoadedPlugin[];
    router: RouterType;
}): Pick<Props, 'headTags' | 'preBodyTags' | 'postBodyTags'>;
